OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OMLoadFile Class Reference

`#include <GaussianFilter.h>`

Inheritance diagram for OMLoadFile:

## Public Member Functions
| MDS_SHAREDPTR (OMLoadFile)
| OMLoadFile (const std::string &sDescription)
virtual | ~OMLoadFile ()
| MDS_SHAREDPTR (OMLoadFile)
| OMLoadFile (const std::string &sDescription)
virtual | ~OMLoadFile ()

## Protected Member Functions
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)

## Protected Attributes
double | m_deviation
int | m_size
bool | m_normalize
std::string | m_file

## Detailed Description

Module which loads a mesh from input fule and send it to connected MDSTk channel Possible file formats are .stl, .om, .obj, .off, .ply

## Constructor & Destructor Documentation

OMLoadFile::OMLoadFile | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

OMLoadFile::~OMLoadFile | ( |  | ) |
| virtual

Virtual destructor

OMLoadFile::OMLoadFile | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

virtual OMLoadFile::~OMLoadFile | ( |  | ) |
| virtual

Virtual destructor

## Member Function Documentation

bool OMLoadFile::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

virtual bool OMLoadFile::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

OMLoadFile::MDS_SHAREDPTR | ( | OMLoadFile |  | ) |

Smart pointer type

OMLoadFile::MDS_SHAREDPTR | ( | OMLoadFile |  | ) |

Smart pointer type

void OMLoadFile::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

virtual void OMLoadFile::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

virtual bool OMLoadFile::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

bool OMLoadFile::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

virtual void OMLoadFile::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

void OMLoadFile::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

## Member Data Documentation

double OMLoadFile::m_deviation
| protected

std::string OMLoadFile::m_file
| protected

Input file name

bool OMLoadFile::m_normalize
| protected

int OMLoadFile::m_size
| protected

The documentation for this class was generated from the following files:

- trunk/src/modules/GaussianFilter/GaussianFilter.h
- trunk/src/modules/LoadFile/LoadFile.h
- trunk/src/modules/GaussianFilter/GaussianFilter.cpp
- trunk/src/modules/LoadFile/LoadFile.cpp